<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('user_quizzes', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(\App\Models\User::class, 'user_id')->constrained('users')->cascadeOnDelete();
            $table->foreignIdFor(\App\Models\Quiz::class, 'quiz_id')->constrained('quizzes')->cascadeOnDelete();
            $table->float('score')->default(0);
            $table->integer('taken_time')->default(0);
            $table->enum('status', \App\Enums\UserQuizStatusEnum::values())->default(\App\Enums\UserQuizStatusEnum::PENDING);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('user_quizzes');
    }
};
